# Retrieve SendingEvents Sorted by Ascending Start Date and Filters

Retrieve SendingEvents sorted by ascending startDate. By default, the response contains the 100 (maxItems property) first items. To retrieve the next items matching the request, use the query parameter 'after' with the ID of the last item

Endpoint: GET /sending-events
Version: 1.0.0
Security: api_key

## Security:

  - `api_key` (unknown)
    apiKey in header x-api-key

## Query parameters:

  - `jobId` (string)
    Filter for SendingEvents belonging to a specific Job

  - `jobName` (string)
    Filter for SendingEvents belonging to Jobs with a given name

  - `workflowId` (string)
    Filter for SendingEvents using a specific Workflow

  - `workflowName` (string)
    Filter for SendingEvents built using specific Workflows. Note that the workflowName is captured at the creation of the SendingEvent. Further changes (ex. name) of the Workflow are not updated in the SendingEvents

  - `technicalStatus` (string)
    Filter for SendingEvents with specific status

  - `businessStatus` (string)
    Filter for SendingEvents with specific businessStatus

  - `from` (string)
    Filter for SendingEvents with startDate greater than a specific datetime expressed in UTC timezone (format: yyyy-MM-dd'T'HH:mm:ss.SSS'Z')

  - `until` (string)
    Filter for SendingEvents with startDate less than a specific datetime expressed in UTC timezone (format: yyyy-MM-dd'T'HH:mm:ss.SSS'Z')

  - `after` (string)
    Cursor for pagination. Indicates that the API should return the SendingEvents which are immediately after this one in the list (the next page)

  - `maxItems` (number)
    Maximum number (1 - 1000) of Sending Events that might be returned. It is possible that the response contains fewer elements. Default to 100

## Header parameters:

  - `x-managed-company-id` (string)
    Optional: the ID of the managed company on behalf of which the request is made

## Response 200:

  - `200` (unknown)
    Successful response with a list of SendingEvents

## Response 200 fields (application/json):

  - `items` (array, required)
    Array of items for the current page

  - `items.id` (string, required)
    SendingEvent's identifier

  - `items.jobId` (string, required)
    Identifier of the SendingEvent's Job

  - `items.jobName` (string, required)
    Name of the SendingEvent's Job

  - `items.sendingSourceFileReference` (string)
    Identifies the source file that produced this sending: its path within the uploaded ZIP, or its original submitted filename for a direct upload.
    Example: documents/document.pdf

  - `items.jobAuthor` (string)
    Username of the author of the SendingEvent's Job

  - `items.startDate` (string, required)
    The Datetime denoting the moment of Job creation

  - `items.endDate` (string)
    The Datetime denoting the moment the sending event reached a final status

  - `items.executionDateUtc` (string)
    Datetime of the scheduled SendingEvent execution in UTC

  - `items.properties` (array, required)
    SendingEvent's properties

  - `items.properties.kind` (string, required)
    Type of property (channel)
    Enum: "ADDRESS", "ADDRESS_FIRST_NAME", "ADDRESS_LAST_NAME", "ADDRESS_COMPANY_NAME", "ADDRESS_STREET", "ADDRESS_STREET_NUMBER", "ADDRESS_BOX", "ADDRESS_PO_BOX", "ADDRESS_POSTAL_CODE", "ADDRESS_CITY", "ADDRESS_COUNTRY_CODE", "EMAIL_ADDRESS", "PHONE_NUMBER", "LAST_NAME", "FIRST_NAME", "BIRTH_DATE", "INVOICE_AMOUNT", "INVOICE_DESCRIPTION", "INVOICE_DUE_DATE", "INVOICE_PAY_LINK", "INVOICE_PAY_LINK_SHORT", "INVOICE_COMMUNICATION", "INVOICE_PAYMENT_DATE", "POM_OPT_IN_EMAIL", "COMPANY_IDENTIFICATION_NUMBER", "NATIONAL_REGISTER_NUMBER", "EBOX_RECIPIENT_PARTITION", "INVOICE_REFERENCE", "DOCCLE_TOKEN_SET_VALUE1", "DOCCLE_TOKEN_SET_VALUE2", "DOCCLE_RECEIVER_ID", "DOCCLE_TOKEN_SET_START_DATE", "DOCCLE_TOKEN_SET_END_DATE", "PEPPOL_SENDER_PARTICIPANT_ID", "PEPPOL_RECEIVER_PARTICIPANT_ID", "PEPPOL_DOCUMENT_ID", "PEPPOL_ISSUE_DATE", "PEPPOL_DOCUMENT_TYPE"

  - `items.properties.value` (string, required)
    Value of the property

  - `items.properties.isEncrypted` (boolean)
    Whether the property is encrypted

  - `items.extraInfo` (array, required)
    SendingEvent's extra information

  - `items.extraInfo.name` (string, required)
    Name of the extra info

  - `items.extraInfo.value` (string, required)
    Value of the extra info

  - `items.extraInfo.isEncrypted` (boolean)
    Whether the extra info is encrypted

  - `items.workflowName` (string, required)
    Name of the Workflow used to create the SendingEvent's Job

  - `items.status` (string, required)
    TechnicalStatus of the SendingEvent
    Enum: "IN_PROGRESS", "SUCCESS", "WARNING", "FAILURE"

  - `items.businessStatus` (string, required)
    BusinessStatus of the SendingEvent
    Enum: "NOT_STARTED", "SCHEDULED_FOR_EXECUTION", "IN_PROGRESS", "SUCCESS", "FAILURE", "REJECTED"

  - `items.approval` (object)
    Approval information for the SendingEvent

  - `items.approval.userId` (string, required)
    Identifier of the approver

  - `items.approval.username` (string, required)
    Username of the approver

  - `items.approval.timestamp` (string, required)
    Datetime when the Job receives approval

  - `items.errorList` (array, required)
    SendingEvent's error list

  - `items.errorList.code` (string, required)
    Error code representing the type of error

  - `items.errorList.message` (string, required)
    Error message providing more details about the error

  - `items.errorList.timestamp` (string, required)
    Timestamp when the error occurred

  - `items.warningList` (array, required)
    SendingEvent's warning list

  - `items.invoiceId` (string)
    Identifier of the invoice if the SendingEvent has been built using a Workflow Collection

  - `items.dataRetention` (object, required)
    Data retention policy for the SendingEvent

  - `items.dataRetention.periodInSeconds` (number, required)
    Retention period in seconds

  - `items.workflowId` (string, required)
    Identifier of the Workflow used to create the SendingEvent's Job

  - `items.documents` (array, required)
    SendingEvent's documents

  - `items.documents.fileReference` (string, required)
    Reference of the file. Use it with GET /sending-events/{id}/files/{fileReference}/download-url to download the document

  - `items.documents.documentType` (string, required)
    Type of the document
    Enum: "pdf", "json", "xml", "other"

  - `items.documents.channels` (array, required)
    Channels the document is sent through

  - `items.taskDetails` (array, required)
    Details of tasks associated with the SendingEvent

  - `items.taskDetails.id` (string, required)
    Task identifier in the Workflow used to process the SendingEvent

  - `items.taskDetails.externalId` (string)
    Identifier of the SendingEvent as known in external supplier API

  - `items.taskDetails.name` (string, required)
    Name of the Task in the Workflow used to process the SendingEvent

  - `items.taskDetails.maxDurationInSeconds` (number, required)
    Maximum amount of seconds a Task can be in status IN_PROGRESS without reaching a terminal status. After that period it gets the status TIMEOUT

  - `items.taskDetails.startDate` (string)
    The Datetime denoting the moment when the Sending is started using the channel configured in the Task

  - `items.taskDetails.endDate` (string)
    The Datetime denoting the moment when the Sending via the Task is in final state

  - `items.taskDetails.warningList` (array, required)
    List of warnings

  - `items.taskDetails.errorList` (array, required)
    List of errors

  - `items.taskDetails.statusHistory` (array, required)
    Status history

  - `items.taskDetails.statusHistory.value` (string, required)
    Status

  - `items.taskDetails.statusHistory.date` (string, required)
    Date the task went into this status

  - `items.taskDetails.documentHash` (string)
    Base64 encoded SHA256 checksum of the SendingEvent file

  - `items.taskDetails.documentSizeInBytes` (number)
    Size of the document file in bytes

  - `items.taskDetails.documentPageCount` (number)
    Number of pages in the document file

  - `items.taskDetails.order` (number, required)
    Order of the Task in the Workflow

  - `items.taskDetails.submitAttempts` (number, required)
    Number of submission attempts

  - `items.taskDetails.status` (string, required)
    Technical status of the Task
    Enum: "NOT_STARTED", "IN_PROGRESS", "SUCCESS", "FAILURE", "ERROR", "TIMEOUT", "MAX_ATTEMPTS_EXCEEDED"

  - `items.taskDetails.businessStatus` (string, required)
    Business status of the Task
    Enum: "NOT_STARTED", "IN_PROGRESS", "SUCCESS", "FAILURE"

  - `items.taskDetails.recipient` (string, required)
    Address used in the context of the Task to reach the recipient

  - `items.taskDetails.isRecipientEncrypted` (boolean)
    Whether the recipient is encrypted

  - `items.taskDetails.expirationTimeUtc` (string)
    Absolute Datetime (UTC) at which the Task expires

  - `items.taskDetails.taskType` (string, required)
    Type of an EASY_PRINT Task
    Enum: "EASY_PRINT", "EASY_PRINT_FR"

  - `items.taskDetails.departmentAddress` (object, required)
    Department postal address

  - `items.taskDetails.departmentAddress.street` (string, required)

  - `items.taskDetails.departmentAddress.streetNr` (string, required)

  - `items.taskDetails.departmentAddress.postalCode` (string, required)

  - `items.taskDetails.departmentAddress.box` (string)

  - `items.taskDetails.departmentAddress.city` (string, required)

  - `items.taskDetails.departmentAddress.countryCode` (string, required)

  - `items.taskDetails.departmentAddress.addressAdditionalLine` (string)

  - `items.taskDetails.addressRawData` (string)
    Address of the recipient used with the Mailing Distribution third-party (BPost in Belgium)

  - `items.taskDetails.structuredAddress` (object)
    Structured address used for Easyprint when provided as payload channel identifiers

  - `items.taskDetails.structuredAddress.firstName` (string)
    Recipient first name

  - `items.taskDetails.structuredAddress.lastName` (string)
    Recipient last name

  - `items.taskDetails.structuredAddress.companyName` (string)
    Recipient company name

  - `items.taskDetails.structuredAddress.street` (string)
    Street name

  - `items.taskDetails.structuredAddress.streetNumber` (string)
    Street number

  - `items.taskDetails.structuredAddress.box` (string)
    Address box/unit

  - `items.taskDetails.structuredAddress.poBox` (string)
    PO Box

  - `items.taskDetails.structuredAddress.postalCode` (string, required)
    Postal code

  - `items.taskDetails.structuredAddress.city` (string, required)
    City

  - `items.taskDetails.structuredAddress.countryCode` (string, required)
    ISO country code

  - `items.taskDetails.format` (string)
    Describe the format of the envelope
    Enum: "SMALL", "LARGE"

  - `items.taskDetails.deliveryType` (string)
    Delivery type
    Enum: "PRIOR", "NON_PRIOR", "REGISTERED"

  - `items.taskDetails.mailID` (string)
    Id from the Mailing Distribution third-party (BPost in Belgium)

  - `items.taskDetails.barcode` (string)
    Barcode from the Mailing Distribution third-party (BPost in Belgium)

  - `items.taskDetails.hasRegisteredMailRPFlag` (boolean)
    Registered mail RP flag

  - `items.taskDetails.connectReference` (string)
    Connect reference

  - `items.taskDetails.epodLocation` (string)
    EPOD location

  - `items.taskDetails.trackAndTraceUrl` (string)
    Url from third-party to track the sending when it is of type registered mail

  - `items.taskDetails.location` (string, required)

  - `items.taskDetails.taskType` (string, required)
    Type of an EMAIL Task
    Enum: "EMAIL"

  - `items.taskDetails.taskType` (string, required)
    Type of a ERDS Task
    Enum: "ERDS"

  - `items.taskDetails.submissionReportLocation` (string)
    Submission report location

  - `items.taskDetails.deliveryReportLocation` (string)
    Delivery report location

  - `items.taskDetails.taskType` (string, required)
    Type of a QERDS Task
    Enum: "QERDS"

  - `items.taskDetails.evidenceReportLocation` (string)
    Evidence report location

  - `items.taskDetails.notificationReportLocation` (string)
    Notification report location

  - `items.taskDetails.retraction` (object)
    Retraction details

  - `items.taskDetails.retraction.userId` (string, required)
    Identifier of the user who performed the retraction

  - `items.taskDetails.retraction.username` (string, required)
    Username of the user performed the retraction

  - `items.taskDetails.retraction.timestamp` (string, required)
    Datetime of the moment the retraction was performed

  - `items.taskDetails.recipientDetails` (object, required)
    Recipient details

  - `items.taskDetails.recipientDetails.recipientType` (string)
    The type of recipient the SendingEvent is intended for

  - `items.taskDetails.recipientDetails.companyIdentificationNumber` (object)
    Company Identifier Number

  - `items.taskDetails.recipientDetails.companyIdentificationNumber.value` (string)
    String value

  - `items.taskDetails.recipientDetails.companyIdentificationNumber.isEncrypted` (boolean)
    Whether the value is encrypted

  - `items.taskDetails.recipientDetails.emailAddress` (object, required)
    Email address of the recipient

  - `items.taskDetails.recipientDetails.firstName` (object)
    Firstname of the recipient

  - `items.taskDetails.recipientDetails.lastName` (object)
    Lastname of the recipient

  - `items.taskDetails.recipientDetails.birthDate` (object)
    Birth date of the recipient

  - `items.taskDetails.recipientDetails.postalCode` (object)
    Postal code of the recipient

  - `items.taskDetails.recipientDetails.houseNumber` (object)
    House number of the recipient

  - `items.taskDetails.modelVersion` (string, required)
    Model version
    Enum: "v2"

  - `items.taskDetails.taskType` (string, required)
    Type of a EBOX Task
    Enum: "EBOX"

  - `items.taskDetails.recipientInfo` (object, required)
    Recipient info

  - `items.taskDetails.recipientInfo.eboxIdValue` (string, required)
    The CBE number in 10 digits if the eboxType is enterprise or the NRN if the eboxType is citizen

  - `items.taskDetails.isRegisteredMail` (boolean, required)
    Is registered mail

  - `items.taskDetails.taskType` (string, required)
    Type of a EBOX_ENTERPRISE Task
    Enum: "EBOX_ENTERPRISE"

  - `items.taskDetails.subject` (string, required)
    Subject of the eBox Enterprise message

  - `items.taskDetails.language` (string, required)
    Language of the eBox Enterprise message
    Enum: "nl", "fr", "de"

  - `items.taskDetails.messageId` (string)
    Identifier of the message in the eBox Enterprise platform

  - `items.taskDetails.messageExpirationTime` (string)
    Datetime at which the eBox Enterprise message expires

  - `items.taskDetails.taskType` (string, required)
    Type of a DOCCLE Task
    Enum: "DOCCLE"

  - `items.taskDetails.tokenSet` (object, required)
    Token set

  - `items.taskDetails.tokenSet.token1` (object, required)
    Token 1

  - `items.taskDetails.tokenSet.token2` (object, required)
    Token 2

  - `items.taskDetails.tokenSet.startDate` (string, required)
    Start date

  - `items.taskDetails.tokenSet.endDate` (string)
    End date

  - `items.taskDetails.receiverId` (object, required)
    Receiver ID

  - `items.taskDetails.taskType` (string, required)
    Type of a PEPPOL Task
    Enum: "PEPPOL"

  - `items.taskDetails.documentId` (string, required)
    Document identifier in the Peppol network

  - `items.taskDetails.issueDate` (string)
    Issue date of the document

  - `items.taskDetails.senderParticipantId` (string, required)
    Participant identifier of the sender

  - `items.taskDetails.receiverParticipantId` (string, required)
    Participant identifier of the receiver

  - `totalItems` (number, required)
    Total number of items available (without pagination)

## Response 400:

  - `400` (unknown)
    Invalid query parameter format

